#+SETUPFILE: ../../../template/level-2.org
#+TITLE: Hosting Options
#+DATE: <2017-07-15 Sat 00:00>
#+AUTHOR: vaeringjar
#+EMAIL: vaeringjar@land
#+DESCRIPTION: Reviewing some hosting options for projects other than the blog.
#+KEYWORDS: diy hosting


* Post

After a colleague showed me [[https://manor.space/][the Manor]] and [[https://www.1984.is/][1984]] I setup my syncthing
again on two of my laptops at home. Then I blew away my DVD player PC
and installed Debian 9. I looked again at my router and remembered I
originally purchased it with the plan to turn it into a home server
with [[https://piratebox.cc/][piratebox]] or at least a free wifi with [[https://librecmc.org/][librecmc]]. Pretty sure I
got the idea from one of the good folks on #dragora and from the
[[https://www.fsf.org/blogs/sysadmin/librewrt-what-we-use-for-wifi-at-the-fsf][article the fsf published]].


* Provider considerations
  :PROPERTIES:
  :CUSTOM_ID: provider-considerations
  :END:

I need to setup a backup host somewhere. Perhaps one of these:

- [[https://www.1984.is/][1984]]
- [[https://hcoop.net/]]
- [[https://www.a2hosting.com/]]


** Requirements
   :PROPERTIES:
   :CUSTOM_ID: requirements
   :END:

- free software available and supportive
- crontab support
- mysql or other db
- https, preference via LE
- email with sane greylisting recovery


** Nice-to-haves
   :PROPERTIES:
   :CUSTOM_ID: nice-to-haves
   :END:

- sudo/admin user
- mailman
- port specification, [[https://lists.gnu.org/archive/html/ring/2017-05/msg00029.html][ring for example]]
- anonymous rsync access for end users
- throttling transfer speeds (for everyone's sanity)
- .onion addresses
